Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.util
Class HandlersChain

    java.lang.Object
      org.richfaces.renderkit.util.HandlersChain

    public final class HandlersChain

extends java.lang.Object

Since:
  4.0
Author:
  Nick Belaevski

Constructor Summary
`HandlersChain(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`HandlersChain(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, boolean includeClientId)`
`HandlersChain(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.util.Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters)`
`HandlersChain(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.util.Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters, boolean includeClientId)`

Method Summary
`void` | `addAjaxSubmitFunction()`
`void` | `addBehaviors(java.lang.String domEventName)`
`void` | `addBehaviors(java.lang.String domEventName, java.lang.String logicalEventName)`
`void` | `addInlineHandlerAsValue(java.lang.String handlerValue)`
`void` | `addInlineHandlerFromAttribute(java.lang.String attributeName)`
`static java.util.List<javax.faces.component.behavior.ClientBehaviorContext.Parameter>` | `createParametersList(java.util.Map<java.lang.String,java.lang.Object> parametersMap)`
`boolean` | `hasSubmittingBehavior()`
`java.lang.String` | `toScript()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlersChain

    public HandlersChain(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component)

### HandlersChain

    public HandlersChain(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component,
                         boolean includeClientId)

### HandlersChain

    public HandlersChain(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component,
                         java.util.Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters)

### HandlersChain

    public HandlersChain(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component,
                         java.util.Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters,
                         boolean includeClientId)

Method Detail

### hasSubmittingBehavior

    public boolean hasSubmittingBehavior()

### addInlineHandlerAsValue

    public void addInlineHandlerAsValue(java.lang.String handlerValue)

### addInlineHandlerFromAttribute

    public void addInlineHandlerFromAttribute(java.lang.String attributeName)

### addBehaviors

    public void addBehaviors(java.lang.String domEventName)

### addBehaviors

    public void addBehaviors(java.lang.String domEventName,
                             java.lang.String logicalEventName)

### addAjaxSubmitFunction

    public void addAjaxSubmitFunction()

### toScript

    public java.lang.String toScript()

### createParametersList

    public static java.util.List<javax.faces.component.behavior.ClientBehaviorContext.Parameter> createParametersList(java.util.Map<java.lang.String,java.lang.Object> parametersMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.